#ifndef CONST_H_
#define CONST_H_

/* Do not change those important constants */
#define STRING_BUFFER 1024
#define TRUE 1
#define FALSE 0
#define EPSILON 1e-7
#define PI 3.14159265358979323846
#define SQRT_TWO 1.41421356237309504880

/* Inline helper functions */
#define MAX(x, y) ((x) < (y) ? (y) : (x))
#define MIN(x, y) ((x) < (y) ? (x) : (y))
#define ABS(x) (SIGN(x) * x)
#define SIGN(x) ((x) > 0.0 ? 1.0 : ((x) < 0.0 ? -1.0 : 0.0))

#endif