#ifndef _RANDOM_H_
#define _RANDOM_H_

typedef unsigned int uint;

double Random();
double Uniform(double min, double max);
int Discrete(int include_min, int exclude_max);
double Gaussian(double sigma, double mu);
double Exponential(double min, double decay);

void SetSpecificSeed(uint seed);
void SetRandomSeed();

#endif
